Subject: bug#7000: closed (Re: bug#7000: sort GNU coreutils 6.9.92.4-f088d-dirty)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Apr 2014 17:33:03 +0000

Your bug report

#7000: sort GNU coreutils 6.9.92.4-f088d-dirty

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7000: sort GNU coreutils 6.9.92.4-f088d-dirty
From: Bob Proulx <[email-masked]>
To: Zoltán Krajcsovics <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Apr 2014 11:32:55 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Zoltán Krajcsovics wrote:
> Eric Blake írta (2010. szeptember 8. 18:20):
> > On 09/08/2010 07:34 AM, Zoltán Krajcsovics wrote:
> >> I had an input for sort, that was sorted wrong.
> >>
> >> The input is:
> >>
> >> D_1
> >> D_3
> >> D15
> >>
> >> The output is:
> >>
> >> D_1
> >> D15
> >> D_3
> >
> > Not a bug in sort.  Your locale settings are at fault, per this FAQ:
> >
> > http://www.gnu.org/software/coreutils/faq/#Sort-does-not-sort-in-normal-order_0021
> 
> 
> With the supposed changes it works for me, too. I had `hu_HU' sorting rules.
> 
> Could be useful to anyone, who cannot change locales for some reason:
> I could use a workaround changing space, '_', etc to letters, like 'a'.
> 
> Sorry for bothering with known problem, and thank You for the solution!

This never got closed in the bug tracker.  Happy to see it was
resolved.  Closing it now.

Bob

Subject: sort GNU coreutils 6.9.92.4-f088d-dirty
From: Zoltán Krajcsovics <[email-masked]>
To: [email-masked]
Date: Wed, 8 Sep 2010 15:34:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Staff,

I had an input for sort, that was sorted wrong.

The input is:

D_1
D_3
D15

The output is:

D_1
D15
D_3

coreutils version (from man page):
GNU coreutils 6.9.92.4-f088d-dirty

System:
Linux 2.6.26-2-amd64 #1 SMP Thu Aug 19 00:37:36 UTC 2010 x86_64 GNU/Linux

I have also tried vi's sort, that sorted it like:
D15
D_1
D_3

Yours sincerely,

Zoltan Krajcsovics